#!/usr/bin/env python
# -*- coding:utf-8 -*-

# ##############################################################################
#     Base code from where the autogenerated code inherits
#
#     Copyright (C) 2021 Alba Synchrotron/CELLS, Cerdanyola Spain
#
#     This program is free software: you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.
#
#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with this program.  If not, see [http://www.gnu.org/licenses/].
# ##############################################################################

from ..attribute import DataType


def get_none_value_by_type(data_type):
    """
Given a data type return the value to be used to assign to the tango attribute
an invalid in the quality.

:param data_type: element of the enum type for the attributes
:return: value
    """
    if data_type in [DataType.bool]:
        return False
    elif data_type in [DataType.short, DataType.long,
                       DataType.float, DataType.volts,
                       DataType.angle]:
        return 0
    elif data_type in [DataType.string]:
        return ""
